import com.itbaizhan.SpringConfig;
import com.itbaizhan.dao.StudentDao;
import com.itbaizhan.service.StudentService;
import org.junit.Test;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import java.sql.Connection;

public class TestIoc {

    @Test
    public void t1() {
        ApplicationContext ac = new ClassPathXmlApplicationContext("bean.xml");
        StudentDao studentDao = (StudentDao) ac.getBean("studentDao");
        System.out.println(studentDao);
        StudentService studentService1 = (StudentService) ac.getBean("studentService");
        StudentService studentService2 = (StudentService) ac.getBean("studentService");
        System.out.println(studentService1);
        System.out.println(studentService2);
    }

    @Test
    public void t2() {
        ApplicationContext ac = new ClassPathXmlApplicationContext("bean.xml");
        StudentService studentService = (StudentService) ac.getBean("studentService");
        System.out.println(studentService);
        System.out.println(studentService.getStudentDao());
    }

    @Test
    public void t3() {
        ApplicationContext ac = new AnnotationConfigApplicationContext(SpringConfig.class);
        StudentService studentService = (StudentService) ac.getBean("studentService");
        System.out.println(studentService);
    }

    @Test
    public void t4() {
        ApplicationContext ac = new AnnotationConfigApplicationContext(SpringConfig.class);
        StudentDao studentDao = (StudentDao) ac.getBean("studentDao");
        System.out.println(studentDao);
    }

    @Test
    public void t5(){
        ApplicationContext ac = new AnnotationConfigApplicationContext(SpringConfig.class);
        Connection connection = (Connection) ac.getBean("connection");
        System.out.println(connection);
    }
}
