package com.itbaizhan;

import com.itbaizhan.service.StudentService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

import java.sql.Connection;
import java.sql.DriverManager;

@Configuration
@ComponentScan("com.itbaizhan")
@PropertySource("classpath:db.properties")
public class SpringConfig {

    @Bean(name = "connection")
    public Connection getConnection(StudentService studentService){
        System.out.println(studentService);
        try {
            Class.forName("com.mysql.cj.jdbc.Driver");
            return DriverManager.getConnection("jdbc:mysql:///student", "root", "root");
        } catch (Exception e) {
            return null;
        }
    }
}
